Skip to main content
`Ctrl`+`K`

# DMGeomModelRegisterAll

Registers all of the geometry model methods in the `DM` package.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGeomModelRegisterAll(void)

Not Collective

## See Also

`DM`, `DMGeomModelRegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmgeommodel.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages